<script>
import {useStore} from "vuex";
import {HOST_API} from "@/vars";
import {useToast} from "primevue/usetoast";
import EventBus from "@/utils/event-bus";

export default {
  name: 'CategoryCreate',
  setup() {
    const store = useStore()
    const toast = useToast();
    return {
      store,
      toast
    }
  },
  data: () => ({
    category: {
      name: null
    },
  }),
  async created() {
  },
  computed: {
  },
  methods: {
    createCategory() {
      fetch(HOST_API + `/categories/`, {
        method: 'POST',
        body: JSON.stringify(this.category),
        headers: {
          'Content-Type': 'application/json',
          'Authorization': `Bearer ${this.store.state.authentication.access}`,
        }
      }).then(res => res.json()).then(response => {
        console.log(response)
        EventBus.emit('updated-categories', true)
        // this.toast.add({ severity: 'success', summary: response.message, detail: `Project ID: ${response.id}`, life: 3000 });
        this.$router.push({name: 'category_edit', params: {'id': response.id}});
      })
    },
  }
}
</script>

<template>
  <div class="grid">
    <div class="col-12">
      <div class="card">
        <h5>Crear proyecto</h5>
        <div class="p-fluid formgrid grid">
          <div class="field col-12 md:col-8">
            <label for="firstname2">Título</label>
            <InputText id="firstname2" type="text" v-model="category.name"/>
          </div>
        </div>
        <Button @click="createCategory" label="Crear" class="p-button-outlined p-button-info mr-2 mb-2" />
      </div>
    </div>
  </div>
</template>
